local colorMap = {
	water = "blue",
	nature = "green",
	fire = "red",
	lightning = "orange",
}

add_printer("/inventory.php", function()
	local sphereData = get_stone_sphere_status()
	
	if sphereData.altars then
		for x, y in pairs(sphereData.altars) do
			text = text:gsub(y..[[ stone sphere]], [[%0 <span style="color:]]..colorMap[x]..[[;font-weight:bold">{ ]]..x..[[ }</span>]])
		end
	end
end)

add_printer("/fight.php", function()
	local sphereData = get_stone_sphere_status()
	local javascriptReplace = ""
	
	if sphereData.altars then
		local idmap = {
			["mossy"] = "item_2174",
			["smooth"] = "item_2175",
			["cracked"] = "item_2176",
			["rough"] = "item_2177",
		}
		
		for x, y in pairs(sphereData.altars) do
			text = text:gsub([[You hold the ]]..y..[[ stone sphere]], [[%0 <span style='font-weight:bold;color:]]..colorMap[x]..[[;'>{ ]]..x..[[ }</span>]])
			javascriptReplace = javascriptReplace .. [[$("#]]..idmap[y]..[[ span").html("]]..y..[[ stone sphere <span style='font-size:1.0em;font-weight:bold;color:]]..colorMap[x]..[[;'>{ ]]..x..[[ }</span> (1)");]]
		end
	end
	
	if javascriptReplace ~= "" then
		text = text:gsub([[<script src='http://images.kingdomofloathing.com/scripts/actionbar.(%d+).js'></script>]],
[[%0<script type="text/javascript">
	function colorizeSpheres()
	{
		]]..javascriptReplace..[[
	}
	
	/* for Mozilla */
	if (document.addEventListener) {
		document.addEventListener("DOMContentLoaded", init, false);
	}

	window.onload = colorizeSpheres;
</script>
]])
	end
end)

add_printer("/hiddencity.php", function()
	local altars = {
		["altar1.gif"] = "lightning",
		["altar2.gif"] = "water",
		["altar3.gif"] = "fire",
		["altar4.gif"] = "nature",
	}	
	local sphereData = get_stone_sphere_status()
	
	if sphereData.altars then
		for altarName,element in pairs(altars) do
			if text:match(altarName) then
				if sphereData.altars[element] and text:match([[option]]) then
					local replaceText = text:match([[%b<>]]..sphereData.altars[element]) or nil
					if replaceText then
						local option = replaceText:match([[option value='%d+']])
						option = option:gsub("stone sphere", "%0 { "..element.." }")
						local optionWithStyle = option .. " " .. [[style="font-weight:bold;color:]]..colorMap[element]..[[;" ]]
						text = text:gsub(option, optionWithStyle)
						text = text:gsub(sphereData.altars[element]..[[ stone sphere]], [[%0 { ]].. element ..[[ }]])
					end
				end
			end
		end
	end
end)
