local function run_wrapped_function(f_env)

dofile("scripts/base/util.lua")
dofile("scripts/base/util/base-lua-functions.lua")

local chatcommands = {}

function load_file(category, name)
	function add_json_chat_printer(func) end
	function add_chat_printer(func) end
	function add_chat_command(keyword, func)
		chatcommands[keyword] = { scriptname = name, f = func }
	end
	if category == "chat" then
		dofile("scripts/"..name)
	end
end

dofile("scripts/loaders.lua")
dofile("scripts/user-loaders.lua")

-- print("sendchat rawinput", f_env.raw_input_params)

local allparams = parse_params(f_env.raw_input_params)

if not allparams or not allparams.graf then return "" end

local cmd, rest = allparams.graf:match("(/[^ ]+)(.*)")

-- print("sendchat: ", allparams, "cmd is", cmd, rest)

if cmd and chatcommands[cmd] then
	local output = [[<span style="color: green">{ ]] .. chatcommands[cmd].f(rest) .. [[ }</span><br>]]
	if tonumber(allparams.j) == 1 then
		return table_to_json { output = output, msgs = {} }
	else
		return output
	end
end

return ""

end

return run_wrapped_function
